| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
StreamBuffer::ContainedLink Class Reference

Definition of the contained link set. More...

`#include <GaudiKernel/StreamBuffer.h>`

Collaboration diagram for StreamBuffer::ContainedLink:
[legend]

## Public Member Functions
| ContainedLink ()
| ContainedLink (const ContainedLink &copy)
| ContainedLink (ContainedObject *pObj, long hint, long link)

## Public Attributes
ContainedObject * | first
long | second
long | third

## Detailed Description

Definition of the contained link set.

Definition at line 121 of file StreamBuffer.h.

## Constructor & Destructor Documentation

StreamBuffer::ContainedLink::ContainedLink | ( |  | ) |
| inline

Definition at line 127 of file StreamBuffer.h.

127 : first( 0 ), second( INVALID ), third( INVALID ) {}
StreamBuffer::ContainedLink::first
ContainedObject * first
Definition: StreamBuffer.h:124
StreamBuffer::ContainedLink::third
long third
Definition: StreamBuffer.h:126
StreamBuffer::INVALID
Definition: StreamBuffer.h:119
StreamBuffer::ContainedLink::second
long second
Definition: StreamBuffer.h:125

StreamBuffer::ContainedLink::ContainedLink | ( | const ContainedLink & | copy | ) |
| inline

Definition at line 128 of file StreamBuffer.h.

128 : first( copy.first ), second( copy.second ), third( copy.third ) {}
std::copy
T copy(T...args)
StreamBuffer::ContainedLink::first
ContainedObject * first
Definition: StreamBuffer.h:124
StreamBuffer::ContainedLink::third
long third
Definition: StreamBuffer.h:126
StreamBuffer::ContainedLink::second
long second
Definition: StreamBuffer.h:125

StreamBuffer::ContainedLink::ContainedLink | ( | ContainedObject * | pObj,
|  | long | hint,
|  | long | link
| ) |  |
| inline

Definition at line 129 of file StreamBuffer.h.

129 : first( pObj ), second( hint ), third( link ) {}
StreamBuffer::ContainedLink::first
ContainedObject * first
Definition: StreamBuffer.h:124
StreamBuffer::ContainedLink::third
long third
Definition: StreamBuffer.h:126
StreamBuffer::ContainedLink::second
long second
Definition: StreamBuffer.h:125

## Member Data Documentation

ContainedObject* StreamBuffer::ContainedLink::first

Definition at line 124 of file StreamBuffer.h.

long StreamBuffer::ContainedLink::second

Definition at line 125 of file StreamBuffer.h.

long StreamBuffer::ContainedLink::third

Definition at line 126 of file StreamBuffer.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/StreamBuffer.h